## org.apache.poi.hwpf.model
Enum NoteType

    java.lang.Object
      java.lang.Enum<NoteType>
          org.apache.poi.hwpf.model.NoteType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NoteType>

    @Internal
    public enum NoteType

extends java.lang.Enum<NoteType>

Enum Constant Summary
`ENDNOTE` Ending note
`FOOTNOTE` Footnote

Method Summary
`int` `getFibDescriptorsFieldIndex()`
`int` `getFibTextPositionsFieldIndex()`
`static NoteType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NoteType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENDNOTE

    public static final NoteType ENDNOTE

  Ending note

### FOOTNOTE

    public static final NoteType FOOTNOTE

  Footnote

Method Detail

### values

    public static NoteType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NoteType c : NoteType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NoteType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getFibDescriptorsFieldIndex

    public int getFibDescriptorsFieldIndex()

### getFibTextPositionsFieldIndex

    public int getFibTextPositionsFieldIndex()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.